Subject: Re: bug#68929: [PATCH] Copy which-key from GNU ELPA into core

From: Jeremy Bryant <[email-masked]>
Date: Sun, 14 Apr 2024 10:21:24 +0100

Jeremy Bryant <[email-masked]> writes:
> Here is the current status on the road to adapting which-key code to
> merge into Emacs, and in adapting the code to the coding conventions and
> requirements for maintainability,
>
> I've followed comments from Eli and then Philip, there have been
> around 65 patches submitted upstream
> https://github.com/justbur/emacs-which-key/commits/master/
>
> Many thanks to Philip for the detailed code review and the many
> clarifications off-list, and to Justin, the author, for examining and
> merging the patches in preparation for this.
>
> I am currently looking at the merging of history, there appear to be 2
> historical commits which exceed the line length in CONTRIBUTE.  
> If there is a recommended way to change them please let me know.

I have worked out the change command that work locally to allow these 2 historical
commits to be merged.  (with thanks to Stefan)

git merge --no-verify --allow-unrelated-histories --no-edit
which-key-integration/which-key-prepare-integration

FYI the two exceptions were below.  Allowing these would preserve the
copyright assignment tracking.
$ git log --oneline | awk 'length($0)>78+8'
;; :group 'which-key |ad8eb57 Merge branch 'better-window-sizes' of
https://github.com/bmag/emacs-which-key into better-window-sizes
;; :type 'string) |1fd43dc Merge branch 'frame-popup' of
https://github.com/bmag/emacs-which-key into pr12

>
> The latest version is attached, if there are any more comments they are
> welcome.
>
> [2. application/emacs-lisp; which-key.el]...